ugene (49.1+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:02 +1100

ugene (49.1+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:21:17 +0000

ugene (49.1+dfsg-2) unstable; urgency=medium

  * Source-only upload to unstable

 -- Pierre Gruet <pgt@debian.org>  Tue, 12 Dec 2023 21:13:25 +0100

ugene (49.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 49.1+dfsg
  * Refreshing patches
  * Shipping to main instead of non-free (Closes: #1018252):
    - Excluding files with non-free license (*.so and psipred)
    - Rewriting d/copyright
  * Updating install paths
  * Setting the runpaths so that private shared libraries can be found
  * Fixing spelling mistakes
  * Using python3 instead of python in shebangs
  * Fixing Lintian override syntax
  * Overriding Lintian warnings about spelling errors due to false positives

  [ Andreas Tille ]
  * Fix watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/libprocps-dev/libproc2-dev/ (Closes: #1032688)

  [ Michael R. Crusoe ]
  * debian/patches/Fix-for-non-constant-SIGSTKSZ.patch: from Ubuntu,
    Closes: #1010358

 -- Pierre Gruet <pgt@debian.org>  Tue, 12 Dec 2023 14:49:53 +0100

ugene (40.1+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version

  [ tony mancill ]
  * Refresh patches for new upstream version

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Do not try to install usr/share/applications which is not provided
    any more

 -- Andreas Tille <tille@debian.org>  Tue, 19 Oct 2021 12:55:46 +0200

ugene (34.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch for Qt 5.15 (Closes: #974075)

 -- tony mancill <tmancill@debian.org>  Fri, 04 Dec 2020 14:06:01 -0800

ugene (34.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Steffen Moeller <moeller@debian.org>  Sat, 28 Mar 2020 17:25:10 +0100

ugene (33.0+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version.
    Closes: #933334, #943514
  * Standards-Version: 4.4.1 (no changes required)
  * Adjusted patches
    - Upstream now builds against regular sqlite almost by default
    - changed default to system sqlite by a patch
    - Adjusted paths for dh_shlibdeps

  [ Andreas Tille ]
  * Remove psipred from upstream source - it is excluded from build anyway
  * d/watch: dversionmangle=auto (to accept +dfsg[0-9])
  * Add external plugins to Recommends as far as these are packaged
  * Drop Ivan Efremov <iefremov@unipro.ru> from Uploaders (thanks for your
    previous work on this package, Ivan)
  * Use UGENE_USE_BUNDLED_ZLIB=0
  * debhelper-compat 12
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Jan 2020 15:11:09 +0100

ugene (1.31.1+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness

  [ Andreas Tille ]
  * New upstream version
    Closes: #868885, #887305
  * Standards-Version: 4.3.0
  * Cleanup d/watch
  * More Files-Excluded
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Drop unused lintian-overrides

 -- Andreas Tille <tille@debian.org>  Thu, 31 Jan 2019 21:26:13 +0100

ugene (1.25.0+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #846557
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Tue, 13 Dec 2016 14:15:10 +0100

ugene (1.24.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix building with GCC 6.
    - Force empty QMAKE_CXXFLAGS_ISYSTEM as suggested in
      https://github.com/ugeneunipro/ugene/issues/13.
    Closes: #834252

 -- Sascha Steinbiss <satta@debian.org>  Sat, 17 Sep 2016 16:22:33 +0000

ugene (1.23.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Upload to allow rebuilding against libprocps6.
    Closes: #831374
  * Rename fixperms target to fix binary-arch-only FTBFS.
    Closes: #831326
  * Bump Standards-Version.
  * Use secure Vcs-Git.
  * Enable full hardening.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 27 Jul 2016 21:57:26 +0000

ugene (1.21.0+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #810360
  * Use xz compression in d/watch

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2016 19:19:42 +0100

ugene (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: libprocps-dev (instead of libprocps4-dev)
    Closes: #810360
  * add repacksuffix to d/watch

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 19:35:14 +0100

ugene (1.19.0+dfsg-1) unstable; urgency=medium

  [Andreas Tille]
  * New upstream version
    Closes: #785035, #784534
  * Remove non necessary harcoded dependencies on transitional
    packages (Thanks to Lisandro Damián Nicanor Pérez Meyer for the
    patch)
    Closes: #784382
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * override false lintian positives (package-contains-timestamped-gzip)
  * DEP5 fixes

  [Gert Wollny]
  * Update to build with QT5 (thanks to Gianfranco Costamagna for the initial
    transition and pointing out some quirks)
  * update d/p/use_system_sqlite.patch

 -- Andreas Tille <tille@debian.org>  Sun, 13 Dec 2015 21:05:12 +0100

ugene (1.12.3+dfsg-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream version
    Closes: #693655, #675298
  * debian/control
    - cme fix dpkg-control
    - Build-Depends: libxtst-dev
    - Moved to non-free (and reported the issue upstream as
       https://ugene.unipro.ru/tracker/browse/UGENE-1310
      Closes: #694044
  * debhelper 9 (control+compat)
  * debian/rules: Rewritten to use short dh
  [ Olivier Sallou ]
  * debian/rules, debian/patches: Add hardening flags for compilation

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2013 17:29:54 +0100

ugene (1.9.8+repack-1) experimental; urgency=low

  * First release to Debian
    - added README.Debian
    - increased policy version to 3.9.2
    - added URLs for version control system
  * Added debug package.

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Nov 2011 13:29:07 +0100

ugene (1.9.8+repack-0ubuntu1~oneiric) oneiric; urgency=low

  * Latest release oneiric build

 -- Ivan Novikov <inovikov@unipro.ru>  Thu, 27 Oct 2011 15:33:13 +0700

ugene (1.9.8+repack-0ubuntu1~natty) natty; urgency=low

  * New upstream release

 -- Ivan Novikov <inovikov@unipro.ru>  Thu, 27 Oct 2011 12:25:50 +0700

ugene (1.9.5+repack-0ubuntu1~natty) natty; urgency=low

  * New upstream release

 -- Alexey Kuznecov <akuznecov@unipro.ru>  Wed, 03 Aug 2011 20:20:50 +0700

ugene (1.9.4+repack-0ubuntu1~maverick) maverick; urgency=low

  * Latest release maverick build

 -- Alexey Kuznecov <akuznecov@unipro.ru>  Thu, 14 Jul 2011 21:15:23 +0700

ugene (1.9.4+repack-0ubuntu1~natty) natty; urgency=low

  * New upstream release
  * Copyright information updated

 -- Alexey Kuznecov <akuznecov@unipro.ru>  Thu, 14 Jul 2011 21:07:52 +0700

ugene (1.9.3+repack-0ubuntu1~maverick) maverick; urgency=low

  * Latest release maverick build

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 15 Jun 2011 10:42:00 +0700

ugene (1.9.2+repack-0ubuntu1~maverick) maverick; urgency=low

  * Latest release maverick build

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Tue, 29 Mar 2011 11:25:00 +0700


ugene (1.9.1+repack-0ubuntu3) maverick; urgency=low

  * Latest release maverick build, new build attempt

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Thu, 10 Feb 2011 10:37:17 +0700


ugene (1.9.1+repack-0ubuntu2) maverick; urgency=low

  * Latest release maverick build, new build attempt

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 09 Feb 2011 13:55:17 +0700


ugene (1.9.1+repack-0ubuntu1) maverick; urgency=low

  * Latest release maverick build

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 09 Feb 2011 12:55:17 +0700


ugene (1.7.2+repack-0ubuntu1) lucid; urgency=low

  * Latest release lucid build
  * Merging with changes from official Ubuntu package

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Mon, 23 Aug 2010 16:55:17 +0700

ugene (1.6.2+repack-0ubuntu2) lucid; urgency=low

  * Latest release lucid build
 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 12 May 2010 12:58:00 +0700

ugene (1.6.2+repack-0ubuntu1~ppa1~karmic1) karmic; urgency=low

  * New upstream release
  * Copyright information updated

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Tue, 7 Apr 2009 00:15:00 +0600

ugene (1.5.2+repack-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Copyright information updated

 -- Ivan Efremov <iefremov@unipro.ru>  Mon, 06 Jul 2009 12:58:00 +0700

ugene (1.5.1+repack-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Copyright information updated

 -- Ivan Efremov <iefremov@unipro.ru>  Fri, 17 Jul 2009 18:04:24 +0700

ugene (1.5.0+repack-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Copyright information updated
  * Versions of needed packages are bumped up
    because of some bugs in older versions

 -- Ivan Efremov <iefremov@unipro.ru>  Tue, 07 Jul 2009 16:39:27 +0700

ugene (1.4.2+repack-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Tue, 16 Jun 2009 13:20:00 +0200

ugene (1.4.1+repack-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * Bump-up Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 30 Apr 2009 08:14:03 +0200

ugene (1.3.3+repack-0ubuntu1) jaunty; urgency=low

  [ Bhavani Shankar ]
  * New Upstream version (LP: #326830)
  * Files unneeded for this package were removed from
    the original tarball.

  [ Morten Kjeldgaard ]
  * Fixed debian/watch to mangle local name
  * Fixed get-orig-source rule to name repackaged tarball correctly.
  * Copyright for two files specified.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 08 Feb 2009 16:32:24 +0530

ugene (1.3.2+repack-0ubuntu1) jaunty; urgency=low

  * Initial packaging (LP: #319917)
  * Files unneeded for this package were removed from
    the original tarball

 -- Ivan Efremov <iefremov@unipro.ru>  Mon, 26 Jan 2009 19:17:51 +0600
